<!-- .slide: data-background="slides/motivation.jpg" data-background-size="contain" data-background-opacity="0.8"  -->
## Motivation <!-- .element: class="text-over-image" -->
<!-- .slide: data-background-color="#033" -->

-V-
<!-- .slide: data-background="slides/motivation.jpg" data-background-size="contain" data-background-opacity="0.3" -->
<!-- .slide: data-background-color="#033" -->
Why do we do the things we do?

---

### External motivation

Carrot and stick; someone else sets our path.
<!-- .element: class="fragment" -->

- numbs our self-motivation <!-- .element: class="fragment" -->
- feels meaningless <!-- .element: class="fragment" -->
- makes it easier to procrastinate <!-- .element: class="fragment" -->

---

### Internal motivation

We have our own target and we follow it.
<!-- .element: class="fragment" -->

- progress feels more rewarding <!-- .element: class="fragment" -->
- brings good mood <!-- .element: class="fragment" -->
- engages creativity and learning <!-- .element: class="fragment" -->

---

### Goal-based motivation
<!-- .slide: data-background-image="slides/goal_based_motivation.jpg" data-background-size="contain" data-background-opacity="0.3" -->
We want to achieve something in the future. 

- Pros: it works! <!-- .element: class="fragment" -->
- Cons: it causes us damage; not sustainable <!-- .element: class="fragment" -->
- long struggle, followed by a short rush of joy that quickly evaporates <!-- .element: class="fragment" -->
- requires more and more demanding goals <!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-image="slides/hedonic_treadmill.jpg" data-background-size="contain" data-background-opacity="0.1" -->
### Hedonic treadmill <a class="reference" href="https://en.wikipedia.org/wiki/Hedonic_treadmill">🔗</a>

> Humans quickly return to a relatively stable level of happiness despite major positive or negative events.

The reward for finishing a major goal is not worth a long struggle to get there.<!-- .element: class="fragment" -->

-V-

#### Arousal addiction

(not about sexual arousal)

Addiction to new, stronger stimuli <!-- .element: class="fragment" -->

created by setting bigger and bigger goals. <!-- .element: class="fragment" -->

---

### Journey-based motivation
<!-- .slide: data-background-image="slides/journey_based_motivation.jpg" data-background-size="contain" data-background-opacity="0.3" -->
Enjoy the ride, the destination is secondary.

- happiness now, not just at the end <!-- .element: class="fragment" -->
- unlocks flow <!-- .element: class="fragment" -->
- flow brings contentment and mastery <!-- .element: class="fragment" -->
- ...which in turn brings results <!-- .element: class="fragment" -->

---

### Meaning

Your actions may have positive impact on others, <!-- .element: class="fragment" -->

adding strong foundations for a lasting motivation. <!-- .element: class="fragment" -->

-V-

#### Going beyond an individual

- helping others
- being part of something greater
- leaving a lasting legacy

-V-

### Group vision

Cooperation of individual visions <!-- .element: class="fragment" -->

helps the growth of one's potential <!-- .element: class="fragment" -->

and boosts the entire group. <!-- .element: class="fragment" -->

> The whole is greater than the sum of its parts.
<!-- .element: class="fragment" -->

---
<!-- .slide: data-background-color="#542" data-background-image="slides/personal_vision.jpg" data-background-size="contain" data-background-opacity="0.5" -->
### TOOL: Personal Vision
<!-- .element: class="text-over-image" -->

-V-
<!-- .slide: data-background-color="#542" data-background-image="slides/personal_vision.jpg" data-background-size="contain" data-background-opacity="0.3" -->
What is the direction of your journey?

What gets out of bed in the morning?

-V-
<!-- .slide: data-background-color="#542" data-background-image="slides/personal_vision.jpg" data-background-size="contain" data-background-opacity="0.1" -->
#### How to build a Personal Vision?
1. SWOT analysis
2. Achievements
3. Analyzing motivating activities
4. Beta-Vision
5. Final Personal Vision

---
<!-- .slide: data-background-color="#542" -->
#### Step 1:
### Personal SWOT

- S - Strengths
- W - Weaknesses
- O - Opportunities
- T - Threats

-V-
<!-- .slide: data-background-color="#542" -->
Time to reflect on yourself!

-V-
<!-- .slide: data-background-color="#542" -->
#### Strengths
- skills, traits and qualities you have
- using them supports flow
- personal vision makes use of these as much as possible

-V-
<!-- .slide: data-background-color="#542" -->
#### Weaknesses
- qualities you lack; limitations and negative traits
- using them retards flow
- personal vision avoids them if possible

These can be improved, but don't devote too much time to it. <!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#542" -->
 #### Opportunities
 - possibilities today's world offers to us
 - using them supports flow
 - personal vision builds on them
 
 Only a few will be used. The rest needs to be rejected and banished <!-- .element: class="fragment" -->
 
 to gain focus, clarity and mastery <!-- .element: class="fragment" -->

 to avoid decision paralysis or regrets. <!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#542" -->
#### Threats
- risks, possible negative impacts or scenarios
- take them into account
- recognize them and be prepared
- awareness helps with facing a potential fear

-V-
<!-- .slide: data-background-color="#030" -->
### My SWOT

-V-
<!-- .slide: data-background-color="#030" -->
#### Strengths
- attention to detail, carefulness, looking for perfection
- enjoy exploring and learning new technologies
- like to solve problems and mysteries in tech
- life-long programming experience

-V-
<!-- .slide: data-background-color="#030" -->
#### Weaknesses
- lacking in open confrontation, group arguments
- introverted, social interactions are taxing
- cautious in opinions, not an 'influencer'

-V-
<!-- .slide: data-background-color="#030" -->
#### Opportunities
- contribute to open source development
- use college degree on distributed systems
- change jobs for
    - different role
    - better pay
    - more aligned tech stack
- get exposure as an expert
- contribute to the state-of-the-art
- share knowledge through talks and blog

-V-
<!-- .slide: data-background-color="#030" -->
#### Threats
- changed role: boring / stressful / annoying
- changed job:
    - low pay / annoying co-workers / toxic workplace / long commute
    - having to use Windows

---
<!-- .slide: data-background-color="#542" -->
#### Step 2:
### Personal Achievements
- things you are proud of or that brought you joy
- provides specific evidence of your strengths
- helps to gain confidence and think positively

-V-
<!-- .slide: data-background-color="#030" -->
### My Achievements

- finished college with a cool master's thesis
- became a dev team leader
- self-hosting the services I use via VPS
- extracted ERP legacy tax functionality via a strategy pattern
- built and coded a split keyboard
- learned to type using the Workman layout
- ...

---
<!-- .slide: data-background-color="#542" -->
#### Step 3:
### Analyzing motivating activities

Find out what drives you; strengthen your vision.

<div class="fragment">

Categories of activities:
- bringing personal growth
- creating legacy
- building relationships
- with deeper meaning

</div>

-V-
<!-- .slide: data-background-color="#542" -->
#### Growth : Legacy : Relationships : Meaning

An activity should ideally fit into multiple categories.

Goal: find groups of activities that support each other.<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" -->
### My Activities
- writing readable code, testing, refactoring
- exploring new technologies and approaches
- contributing to open source projects
- learning through books and conferences
- knowledge sharing through blog, mentoring, talks
- working with colleagues - reviews, discussions
- research of innovative solutions
- solving problems, making software more useful

---
<!-- .slide: data-background-color="#542" -->
#### Step 4:
### Beta-Vision
Finding a personal vision takes effort and time.<!-- .element: class="fragment" -->

Finding a beta version is easier<!-- .element: class="fragment" -->

and you won't procrastinate before finding it!<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#542" -->
#### Answer these...

1. Favorite quote/idea that resonates?
2. Life values?
3. Fulfilling activities?
4. Meaningful activities?

-V-
<!-- .slide: data-background-color="#030" -->
### My Beta-Vision

- coding useful software on a daily basis
- continually learning from others
- sharing my knowledge with others
- sharing code publicly

---
<!-- .slide: data-background-color="#542" -->
#### Step 5:
### Final Personal Vision

A few paragraphs of what you want to be doing,

taking into account the analysis from the previous steps.

-V-
<!-- .slide: data-background-color="#030" -->
### My Final Vision

I'm still iterating.<!-- .element: class="fragment" -->

---
<!-- .slide: data-background-color="#542" -->
### Act Now!

> How can I incorporate my vision in my daily life?

Starting small is fine, as long as you start!

-V-
<!-- .slide: data-background-color="#030" -->
### My Start

I started fixing defects in Android apps I use.

It covers:
- coding useful software
- learning from others
- sharing code publicly
